| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageValue Class Reference

A base class which represents a value that can be computed for blending purposes for each pixel. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageValue:

[legend]
List of all members.

## Public Member Functions
virtual float | GetValue (float x, float y)=0
| get the value for location
virtual | ~csGenerateImageValue ()
| delete it

## Detailed Description

A base class which represents a value that can be computed for blending purposes for each pixel.

Definition at line 41 of file gentrtex.h.

## Constructor & Destructor Documentation

virtual csGenerateImageValue::~csGenerateImageValue | ( |  | ) | `[inline, virtual]`

delete it

Definition at line 45 of file gentrtex.h.

## Member Function Documentation

virtual float csGenerateImageValue::GetValue | ( | float | x,
|  | float | y |
| ) |  |  | `[pure virtual]`

get the value for location

Implemented in csGenerateImageValueFunc, csGenerateImageValueFuncConst, and csGenerateImageValueFuncTex.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h